## org.eclipse.amp.escape.amf.ide
Class GenerateEscapeStyles3DHandler

    java.lang.Object
      AbstractHandler
          org.eclipse.amp.amf.gen.ide.ResourceHandler
              org.eclipse.amp.amf.gen.ide.ResourceJobHandler
                  org.eclipse.amp.escape.amf.ide.GenerateEscapeStyles3DHandler

    public class GenerateEscapeStyles3DHandler

extends ResourceJobHandler

Constructor Summary
`GenerateEscapeStyles3DHandler()`

Method Summary
`void` `execute(IResource resource)` Override with desired execution behavior.

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceJobHandler
`executeHandler`

Methods inherited from class org.eclipse.amp.amf.gen.ide.ResourceHandler
`execute, getMonitor, setMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateEscapeStyles3DHandler

    public GenerateEscapeStyles3DHandler()

Method Detail

### execute

    public void execute(IResource resource)

  Description copied from class: `ResourceHandler`
  Override with desired execution behavior.

  Overrides:
    `execute` in class `ResourceHandler`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors